PDA

View Full Version : [ubuntu] apt-get "Package lynx has no installation candidate"



rocheteau
January 4th, 2009, 07:23 PM
Hi,
I have installed Ubuntu server 8.04.1 on my laptop and need to get lynx up and running for command line browsing etc. "sudo apt-get install lynx" resulted in an error message saying that "E: Package lynx has no installation candidate". I have checked my Internet connection with "wget http://www.example.com" which worked fine.
I would appreciate any help I can get.
Thanks in advance,
R.

spcwingo
January 4th, 2009, 07:33 PM
If you don't mind a different browser, give links, links2, elinks, or w3m a try. All are command line browsers, but I personally prefer w3m.

elwin_windleaf
January 4th, 2009, 08:58 PM
Have you tried
sudo apt-get update to refresh your package lists?

ajgreeny
January 4th, 2009, 09:06 PM
It is certainly in the repos, so you must be doing something not quite right.

rocheteau
January 5th, 2009, 02:10 AM
When I try "sudo apt-get update > error.out" I get the following:

Ign cdrom://Ubuntu-Server 7.04 _Feisty Fawn_ - Release i386 (20070415) feisty/main Translation-en_US
Ign cdrom://Ubuntu-Server 7.04 _Feisty Fawn_ - Release i386 (20070415) feisty/restricted Translation-en_US
Get:1 http://security.ubuntu.com feisty-security Release.gpg [189B]
Ign http://security.ubuntu.com feisty-security/main Translation-en_US
Ign http://us.archive.ubuntu.com feisty Release.gpg
Ign http://us.archive.ubuntu.com feisty/main Translation-en_US
Ign http://security.ubuntu.com feisty-security/restricted Translation-en_US
Ign http://security.ubuntu.com feisty-security/universe Translation-en_US
Ign http://security.ubuntu.com feisty-security/multiverse Translation-en_US
Hit http://security.ubuntu.com feisty-security Release
Ign http://us.archive.ubuntu.com feisty/restricted Translation-en_US
Ign http://us.archive.ubuntu.com feisty/universe Translation-en_US
Ign http://us.archive.ubuntu.com feisty/multiverse Translation-en_US
Get:2 http://us.archive.ubuntu.com feisty-updates Release.gpg [189B]
Ign http://us.archive.ubuntu.com feisty-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com feisty-updates/restricted Translation-en_US
Ign http://us.archive.ubuntu.com feisty Release
Hit http://security.ubuntu.com feisty-security/main Packages
Hit http://us.archive.ubuntu.com feisty-updates Release
Hit http://security.ubuntu.com feisty-security/restricted Packages
Hit http://security.ubuntu.com feisty-security/main Sources
Hit http://security.ubuntu.com feisty-security/restricted Sources
Hit http://security.ubuntu.com feisty-security/universe Packages
Ign http://us.archive.ubuntu.com feisty/main Packages
Ign http://us.archive.ubuntu.com feisty/restricted Packages
Ign http://us.archive.ubuntu.com feisty/main Sources
Ign http://us.archive.ubuntu.com feisty/restricted Sources
Hit http://security.ubuntu.com feisty-security/universe Sources
Hit http://security.ubuntu.com feisty-security/multiverse Packages
Hit http://security.ubuntu.com feisty-security/multiverse Sources
Ign http://us.archive.ubuntu.com feisty/universe Packages
Ign http://us.archive.ubuntu.com feisty/universe Sources
Ign http://us.archive.ubuntu.com feisty/multiverse Packages
Ign http://us.archive.ubuntu.com feisty/multiverse Sources
Hit http://us.archive.ubuntu.com feisty-updates/main Packages
Hit http://us.archive.ubuntu.com feisty-updates/restricted Packages
Hit http://us.archive.ubuntu.com feisty-updates/main Sources
Hit http://us.archive.ubuntu.com feisty-updates/restricted Sources
Err http://us.archive.ubuntu.com feisty/main Packages
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com feisty/restricted Packages
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com feisty/main Sources
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com feisty/restricted Sources
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com feisty/universe Packages
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com feisty/universe Sources
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com feisty/multiverse Packages
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com feisty/multiverse Sources
404 Not Found [IP: 91.189.88.31 80]
Fetched 2B in 1s (1B/s)
Reading package lists...

Also at the end (of the terminal output) is the message "E: Some index files failed to download, they have been ignored, or old one used instead."

I haven't had this trouble before with apt-get. I must have fouled something up with my configuration? Is lynx not on the server install disk (or the desktop install disk)?

Once again thanks to you all for your interest/help,
R.

rocheteau
January 5th, 2009, 02:12 AM
Also the contents of my /etc/apt/sources.list:

deb cdrom:[Ubuntu-Server 7.04 _Feisty Fawn_ - Release i386 (20070415)]/ feisty main restricted
deb http://us.archive.ubuntu.com/ubuntu/ feisty main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ feisty main restricted

deb http://us.archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ feisty-updates main restricted

deb http://us.archive.ubuntu.com/ubuntu/ feisty universe
deb-src http://us.archive.ubuntu.com/ubuntu/ feisty universe

deb http://us.archive.ubuntu.com/ubuntu/ feisty multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ feisty multiverse

deb http://security.ubuntu.com/ubuntu feisty-security main restricted
deb-src http://security.ubuntu.com/ubuntu feisty-security main restricted
deb http://security.ubuntu.com/ubuntu feisty-security universe
deb-src http://security.ubuntu.com/ubuntu feisty-security universe
deb http://security.ubuntu.com/ubuntu feisty-security multiverse
deb-src http://security.ubuntu.com/ubuntu feisty-security multiverse

Thanks again,
R.

elwin_windleaf
January 5th, 2009, 05:08 AM
It looks like you're still pointed at the Feisty repositories... that might be why you're having trouble finding an installation candidate for Lynx from Hardy Server.

I'm not sure how to point you to the right packages, but that might be something to look into. I'll see if I can figure out a way to update your sources.

EDIT: You can find Hardy's sources.list file here: http://ubuntuforums.org/showthread.php?t=783577

If you replace the contents of /etc/apt/sources.list with the list found in that forum post, you should be able to install Lynx. Make sure to make a backup copy first, just in case!